summaryrefslogtreecommitdiff
path: root/dev-python/itunespy
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-07-12 18:14:07 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-07-12 18:14:07 +0000
commit6f7a4c178d81ca63bd8dd11c5ab1ad5d78a28018 (patch)
tree13ad2fddbb3517619b47e3a6be660075a900e94c /dev-python/itunespy
parent9dd2fd66ec846f7f38bd3541a0109d20ac16c29f (diff)
downloadbaldeagleos-repo-6f7a4c178d81ca63bd8dd11c5ab1ad5d78a28018.tar.gz
baldeagleos-repo-6f7a4c178d81ca63bd8dd11c5ab1ad5d78a28018.tar.xz
baldeagleos-repo-6f7a4c178d81ca63bd8dd11c5ab1ad5d78a28018.zip
Adding metadata
Diffstat (limited to 'dev-python/itunespy')
-rw-r--r--dev-python/itunespy/Manifest1
-rw-r--r--dev-python/itunespy/itunespy-1.6.1.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/dev-python/itunespy/Manifest b/dev-python/itunespy/Manifest
index eaf9e6ec9e6c..f0451eba8382 100644
--- a/dev-python/itunespy/Manifest
+++ b/dev-python/itunespy/Manifest
@@ -1 +1,2 @@
+DIST itunespy-1.6.1.gh.tar.gz 10139 BLAKE2B 41eac172835cb440016a5d835f188e9cda72f3291983e35f44e2f2c9ceed6663784789761e88784e42f4586d5dcd0471661a8bec7586ea1b429d54419277aefe SHA512 b30dac3d498fe0e108bbab7480c45245ee18247c91b3b685761b1e6df7f285e93777080a1aced2f436837d48b122c3f7b91274069529a5370ef9cf158b0fc4eb
DIST itunespy-1.6.tar.gz 9724 BLAKE2B c46ccfd00a3dec1772499d3299dae7c20355628176db4e660aca0b2b819b81423ac78ce55319c822c15e1c4bf0641c2fc3c4d9ba94dafad1ffdeb503be4f76f9 SHA512 d91428e23a71bdbc62e6b8126b379aa48f06a365056147cf30eb4fa6132243d35c8a8d6dc536174a53f206bf7bcb4dcebb5a3697fac0fd88cbcb38205202ad81
diff --git a/dev-python/itunespy/itunespy-1.6.1.ebuild b/dev-python/itunespy/itunespy-1.6.1.ebuild
new file mode 100644
index 000000000000..3269d22b5469
--- /dev/null
+++ b/dev-python/itunespy/itunespy-1.6.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="A simple library to fetch data from the iTunes Store API"
+HOMEPAGE="https://github.com/sleepyfran/itunespy/"
+
+if [[ "${PV}" == *9999* ]] ; then
+ inherit git-r3
+
+ EGIT_REPO_URI="https://github.com/sleepyfran/${PN}.git"
+else
+ SRC_URI="https://github.com/sleepyfran/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+RDEPEND="
+ dev-python/pycountry[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+ rm setup.cfg || die
+
+ distutils-r1_src_prepare
+}